Bug 243548 - new kvm release = version 27
new kvm release = version 27
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-09 12:49 EDT by eric magaoay
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-09 15:04:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description eric magaoay 2007-06-09 12:49:38 EDT
Description of problem:

There is a new kvm release (version 27) from upstream dated 6/3/07. I thought
the existing kvm sources from fedora (version 26-1) could benefit from the
update. I compiled and tested the sources under x86_64: No problem so far.

http://sourceforge.net/project/showfiles.php?group_id=180599

Just a note: I'm not sure if it's necessary to have a separate kvm package since
it is already build into the latest kernel (build > 2.6.20). Maybe it's
appropriate to automatically install its user based commands (modified qemu
needed by kvm) when virtualized aware cpu is detected.
Comment 1 Jeremy Katz 2007-06-09 15:04:45 EDT
Building kvm-27 now.  And the separate package is still needed -- it's what
provides the userspace commands.  The kernel side is all integrated into the
kernel package.
Comment 2 Avi Kivity 2007-06-10 04:23:17 EDT
kvm-27 has a nasty oops.  it would be better to revert to kvm-26 (kernel side 
only; userspace may remain kvm-27).
Comment 3 Jeremy Katz 2007-06-10 08:20:02 EDT
(In reply to comment #2)
> kvm-27 has a nasty oops.  it would be better to revert to kvm-26 (kernel side 
> only; userspace may remain kvm-27).

Haven't actually done an update of the kernel piece yet; on my list for this
week, so good to know.  Will probably also pull in the suspend fixes at the same
time.

Note You need to log in before you can comment on or make changes to this bug.